Options +FollowSymLinks

#file caching systems
<IfModule mod_expires.c>
	ExpiresActive On
	ExpiresDefault A300
	ExpiresByType image/x-icon A29030400
	ExpiresByType application/x-javascript A604800
	ExpiresByType text/css A604800
	ExpiresByType image/gif A29030400
	ExpiresByType image/png A29030400
	ExpiresByType image/jpeg A29030400
	ExpiresByType text/plain A604800
	ExpiresByType application/x-shockwave-flash A29030400
	ExpiresByType video/x-flv A29030400
	ExpiresByType application/pdf A29030400
	ExpiresByType text/html A120
</IfModule>

<IfModule !mod_expires.c>
	<IfModule mod_headers.c>
		<FilesMatch "\.(ico|gif|jpg|jpeg|png|flv|pdf)$">
		  Header set Cache-Control "max-age=29030400"
		</FilesMatch>
		<FilesMatch "\.(js|css|swf)$">
		  Header set Cache-Control "max-age=604800"
		</FilesMatch>
		<FilesMatch "\.(html|htm|txt)$">
		  Header set Cache-Control "max-age=120"
		</FilesMatch>
	</IfModule>
</IfModule>

<IfModule mod_deflate.c>
    AddOutputFilterByType DEFLATE text/html text/xml text/css application/x-javascript application/javascript
</IfModule>

<IfModule !mod_deflate.c>
	<IfModule mod_gzip.c>
	    mod_gzip_on       Yes
	    mod_gzip_dechunk  Yes
	    mod_gzip_item_include file      \.(html?|txt|css|js|php|pl|jpg|png|gif)$
	    mod_gzip_item_include handler   ^cgi-script$
	    mod_gzip_item_include mime      ^text/.*
	    mod_gzip_item_include mime      ^application/x-javascript.*
	    mod_gzip_item_exclude mime      ^image/.*
	    mod_gzip_item_exclude rspheader ^Content-Encoding:.*gzip.*
	</IfModule>
</IfModule>


RewriteEngine On

#RewriteBase   /

# redireccionar todo o trafego para o dominio especifico
RewriteCond %{HTTP_HOST} !^www.jetesetecar.com$ [NC]
RewriteCond %{REQUEST_URI} !^/admin
RewriteRule ^(.*)$ http://www.jetesetecar.com/$1 [L,R=301] 

# ignore TXT,  images, JS and CSS.
#RewriteRule \.(js|ico|txt|gif|jpe?g|png|css|pdf|doc|csv|swf|htm|html|zip|rar|gz|mpg|mpeg|avi|xls|wmv|wav|mp3|flv|docx|ppt|pps|bmp|cdr|ai|eps|abs|JS|ICO|TXT|GIF|JPG?G|PNG|CSS|PDF|DOC|CSV|SWF|HTM|HTML|ZIP|RAR|GZ|MPG|MPEG|AVI|XLS|WMV|WAV|MP3|FLV|DOCX|PPT|PPS|BMP|CDR|AI|EPS|ABS|php)$ - [L]
RewriteRule \.(js|ico|txt|gif|jpe?g|png|css|pdf|doc|csv|swf|htm|html|zip|rar|gz|mpg|mpeg|avi|xls|wmv|wav|mp3|flv|docx|ppt|pps|bmp|cdr|ai|eps|abs|JS|ICO|TXT|GIF|JPG?G|PNG|CSS|PDF|DOC|CSV|SWF|HTM|HTML|ZIP|RAR|GZ|MPG|MPEG|AVI|XLS|WMV|WAV|MP3|FLV|DOCX|PPT|PPS|BMP|CDR|AI|EPS|ABS|php|eot|woff|ttf|svg)$ - [L]
RewriteRule ^admin/stats(/.*)?$ - [L]
RewriteRule ^admin(/.*)?$       admin/index.php [L]
RewriteRule .+ index.php [L]

# turn off magic_quotes_gpc if mod_php, if in cgi/secure mode it won't work ...
<IfModule mod_php5.c>
	php_flag magic_quotes_gpc off
</IfModule>

# Turn off mod_security filtering.
<IfModule mod_security.c>
    SecFilterEngine Off

    # The below probably isn't needed, but better safe than sorry.
    SecFilterScanPOST Off
</IfModule>

ErrorDocument 404 /HTTP_NOT_FOUND.html.var
